import { SvelteComponentTyped } from "svelte";
import type { ComponentType } from 'svelte';
import type { Props } from './types';
declare const __propDef: {
    props: {
        xmlMode?: boolean | undefined;
        decodeEntities?: boolean | undefined;
        lowerCaseTags?: boolean | undefined;
        lowerCaseAttributeNames?: boolean | undefined;
        recognizeCDATA?: boolean | undefined;
        recognizeSelfClosing?: boolean | undefined;
        Tokenizer?: typeof import("htmlparser2").Tokenizer | undefined;
        withStartIndices?: boolean | undefined;
        withEndIndices?: boolean | undefined;
        emptyAttrs?: boolean | undefined; /** Object of components in the form of `{ componentName: component }` */
        selfClosingTags?: boolean | undefined;
        encodeEntities?: boolean | "utf8" | undefined;
        processNode?: import("./types").ProcessNode<string | ComponentType<SvelteComponentTyped<any, any, any>>> | undefined;
        filterTags?: string[] | undefined;
        filterAttributes?: string[] | undefined;
        filterEventAttributes?: boolean | undefined;
        noHtmlNodes?: boolean | undefined;
        /** The html string to parse */
        html: string;
        /** Object of components in the form of `{ componentName: component }` */
        components?: Record<string, ComponentType<SvelteComponentTyped<any, any, any>>> | undefined;
        /** Object of component props in the form of `{ componentName: Props }` */
        props?: Record<string, Props> | undefined;
        /** A fallback component */
        fallback?: ComponentType<SvelteComponentTyped<any, any, any>> | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type HtmlProps = typeof __propDef.props;
export declare type HtmlEvents = typeof __propDef.events;
export declare type HtmlSlots = typeof __propDef.slots;
export default class Html extends SvelteComponentTyped<HtmlProps, HtmlEvents, HtmlSlots> {
}
export {};
